Package net.shibboleth.profile.config

# Interface AttributeResolvingProfileConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `ProfileConfiguration`

All Known Subinterfaces:
  `AttributeQueryProfileConfiguration`, `AttributeQueryProfileConfiguration`, `BrowserSSOProfileConfiguration`, `BrowserSSOProfileConfiguration`, `ECPProfileConfiguration`

public interface AttributeResolvingProfileConfiguration extends ProfileConfiguration
`ProfileConfiguration` with optional resolution of attributes.

Since:
  4.2.0

## Field Summary

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

Modifier and Type
Method
Description
`default String`
`getAttributeRecipientGroupID(ProfileRequestContext profileRequestContext)`
Get the group of services for which attributes are being resolved.
`default Collection<String>`
`getRequestedIdPAttributeNames(ProfileRequestContext profileRequestContext)`
Get specific attributes to resolve (if resolving).
`boolean`
`isResolveAttributes(ProfileRequestContext profileRequestContext)`
Get whether to resolve attributes.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

## Method Details

### isResolveAttributes

@ConfigurationSetting(name="resolveAttributes") boolean isResolveAttributes(@Nullable ProfileRequestContext profileRequestContext)
Get whether to resolve attributes.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  true iff resolution should be done

### getRequestedIdPAttributeNames

@ConfigurationSetting(name="requestedIdPAttributeNames") @Nonnull @Unmodifiable @NotLive default Collection<String> getRequestedIdPAttributeNames(@Nullable ProfileRequestContext profileRequestContext)
Get specific attributes to resolve (if resolving).

TODO: Default implementation should be removed in 6.0.0.

Parameters:
  `profileRequestContext` - profile request context
Returns:
  attributes to resolve
Since:
  5.2.0

### getAttributeRecipientGroupID

@ConfigurationSetting(name="attributeRecipientGroupID") @Nullable default String getAttributeRecipientGroupID(@Nullable ProfileRequestContext profileRequestContext)
Get the group of services for which attributes are being resolved.

This is a hook for scenarios supported, but little used, in SAML and OpenID that group services into collections for the purposes of producing (e.g.,) pairwise identifiers.

TODO: Default implementation should be removed in 6.0.0.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  the recipient group ID or null
Since:
  5.2.0